Loading...
Searching...
No Matches
residue.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <vector>`
`#include <string>`
`#include <openbabel/base.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBResidue

## Namespaces

namespace | OpenBabel
namespace | OpenBabel::OBAminoAcidProperty
namespace | OpenBabel::OBResidueAtomProperty
namespace | OpenBabel::OBResidueIndex
namespace | OpenBabel::OBResidueProperty

## Macros

#define | OB_EXTERN extern
#define | MAXSETNO 40
#define | MAXELEM 29
#define | MAXRES 54
#define | AA_ALA (1<<1)
#define | AA_GLY (1<<2)
#define | AA_LEU (1<<3)
#define | AA_SER (1<<4)
#define | AA_VAL (1<<5)
#define | AA_THR (1<<6)
#define | AA_LYS (1<<7)
#define | AA_ASP (1<<8)
#define | AA_ILE (1<<9)
#define | AA_ASN (1<<10)
#define | AA_GLU (1<<11)
#define | AA_PRO (1<<12)
#define | AA_ARG (1<<13)
#define | AA_PHE (1<<14)
#define | AA_GLN (1<<15)
#define | AA_TYR (1<<16)
#define | AA_HIS (1<<17)
#define | AA_CYS (1<<18)
#define | AA_MET (1<<19)
#define | AA_TRP (1<<20)
#define | IS_ACIDIC(x)
#define | IS_ACYCLIC(x)
#define | IS_ALIPHATIC(x)
#define | IS_AROMATIC(x)
#define | IS_BASIC(x)
#define | IS_BURIED(x)
#define | IS_CHARGED(x)
#define | IS_CYCLIC(x)
#define | IS_HYDROPHOBIC(x)
#define | IS_LARGE(x)
#define | IS_MEDIUM(x)
#define | IS_NEGATIVE(x)
#define | IS_NEUTRAL(x)
#define | IS_POLAR(x)
#define | IS_POSITIVE(x)
#define | IS_SMALL(x)
#define | IS_SURFACE(x)

## Enumerations

enum | { ACIDIC = 0 , ACYCLIC = 1 , ALIPHATIC = 2 , AROMATIC = 3 , BASIC = 4 , BURIED = 5 , CHARGED = 6 , CYCLIC = 7 , HYDROPHOBIC = 8 , LARGE = 9 , MEDIUM = 10 , NEGATIVE = 11 , NEUTRAL = 12 , POLAR = 13 , POSITIVE = 14 , SMALL = 15 , SURFACE = 16 }
enum | { ALPHA_CARBON = 0 , AMINO_BACKBONE = 1 , BACKBONE = 2 , CYSTEINE_SULPHUR = 3 , LIGAND = 4 , NUCLEIC_BACKBONE = 5 , SHAPELY_BACKBONE = 6 , SHAPELY_SPECIAL = 7 , SIDECHAIN = 8 , SUGAR_PHOSPHATE = 9 }

enum

{
ALA = 0 , GLY = 1 , LEU = 2 , SER = 3 ,
VAL = 4 , THR = 5 , LYS = 6 , ASP = 7 ,
ILE = 8 , ASN = 9 , GLU = 10 , PRO = 11 ,
ARG = 12 , PHE = 13 , GLN = 14 , TYR = 15 ,
HIS = 16 , CYS = 17 , MET = 18 , TRP = 19 ,
ASX = 20 , GLX = 21 , PCA = 22 , HYP = 23 ,
A = 24 , C = 25 , G = 26 , T = 27 ,
U = 28 , UPLUS = 29 , I = 30 , _1MA = 32 ,
_5MC = 32 , OMC = 33 , _1MG = 34 , _2MG = 35 ,
M2G = 36 , _7MG = 37 , OMG = 38 , YG = 39 ,
H2U = 40 , _5MU = 41 , PSU = 42 , UNK = 43 ,
ACE = 44 , FOR = 45 , HOH = 46 , DOD = 47 ,
SO4 = 48 , PO4 = 49 , NAD = 50 , COA = 51 ,
NAP = 52 , NDP = 53
}

enum | { AMINO = 0 , AMINO_NUCLEO = 1 , COENZYME = 2 , ION = 3 , NUCLEO = 4 , PROTEIN = 5 , PURINE = 6 , PYRIMIDINE = 7 , SOLVENT = 8 , WATER = 9 }

## Detailed Description

Defines for residue properties, names, etc.

## Macro Definition Documentation

## OB_EXTERN

#define OB_EXTERN extern

## MAXSETNO

#define MAXSETNO 40

## MAXELEM

#define MAXELEM 29

Referenced by OpenBabel::GetAtomIDNumber().

## MAXRES

#define MAXRES 54

## AA_ALA

#define AA_ALA (1<<1)

Referenced by OpenBabel::SetResidueKeys().

## AA_GLY

#define AA_GLY (1<<2)

Referenced by OpenBabel::SetResidueKeys().

## AA_LEU

#define AA_LEU (1<<3)

Referenced by OpenBabel::SetResidueKeys().

## AA_SER

#define AA_SER (1<<4)

Referenced by OpenBabel::SetResidueKeys().

## AA_VAL

#define AA_VAL (1<<5)

Referenced by OpenBabel::SetResidueKeys().

## AA_THR

#define AA_THR (1<<6)

Referenced by OpenBabel::SetResidueKeys().

## AA_LYS

#define AA_LYS (1<<7)

Referenced by OpenBabel::SetResidueKeys().

## AA_ASP

#define AA_ASP (1<<8)

Referenced by OpenBabel::SetResidueKeys().

## AA_ILE

#define AA_ILE (1<<9)

Referenced by OpenBabel::SetResidueKeys().

## AA_ASN

#define AA_ASN (1<<10)

Referenced by OpenBabel::SetResidueKeys().

## AA_GLU

#define AA_GLU (1<<11)

Referenced by OpenBabel::SetResidueKeys().

## AA_PRO

#define AA_PRO (1<<12)

Referenced by OpenBabel::SetResidueKeys().

## AA_ARG

#define AA_ARG (1<<13)

Referenced by OpenBabel::SetResidueKeys().

## AA_PHE

#define AA_PHE (1<<14)

Referenced by OpenBabel::SetResidueKeys().

## AA_GLN

#define AA_GLN (1<<15)

Referenced by OpenBabel::SetResidueKeys().

## AA_TYR

#define AA_TYR (1<<16)

Referenced by OpenBabel::SetResidueKeys().

## AA_HIS

#define AA_HIS (1<<17)

Referenced by OpenBabel::SetResidueKeys().

## AA_CYS

#define AA_CYS (1<<18)

Referenced by OpenBabel::SetResidueKeys().

## AA_MET

#define AA_MET (1<<19)

Referenced by OpenBabel::SetResidueKeys().

## AA_TRP

#define AA_TRP (1<<20)

Referenced by OpenBabel::SetResidueKeys().

## IS_ACIDIC

#define IS_ACIDIC | ( |  | x | ) |

Value:
((x) & ((AA_ASP)|(AA_GLU)))
AA_GLU
#define AA_GLU
Definition residue.h:205
AA_ASP
#define AA_ASP
Definition residue.h:202

Referenced by OBResidue::GetAminoAcidProperty().

## IS_ACYCLIC

#define IS_ACYCLIC | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_GLY)|(AA_LEU)|(AA_SER)| \
(AA_VAL)|(AA_THR)|(AA_LYS)|(AA_ASP)| \
(AA_ILE)|(AA_ASN)|(AA_GLU)|(AA_GLN)| \
(AA_CYS)|(AA_MET)))
AA_GLN
#define AA_GLN
Definition residue.h:209
AA_LEU
#define AA_LEU
Definition residue.h:197
AA_GLY
#define AA_GLY
Definition residue.h:196
AA_SER
#define AA_SER
Definition residue.h:198
AA_VAL
#define AA_VAL
Definition residue.h:199
AA_MET
#define AA_MET
Definition residue.h:213
AA_CYS
#define AA_CYS
Definition residue.h:212
AA_THR
#define AA_THR
Definition residue.h:200
AA_ILE
#define AA_ILE
Definition residue.h:203
AA_ASN
#define AA_ASN
Definition residue.h:204
AA_LYS
#define AA_LYS
Definition residue.h:201
AA_ALA
#define AA_ALA
Definition residue.h:195

Referenced by OBResidue::GetAminoAcidProperty().

## IS_ALIPHATIC

#define IS_ALIPHATIC | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_GLY)|(AA_ILE)|(AA_LEU)| \
(AA_VAL)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_AROMATIC

#define IS_AROMATIC | ( |  | x | ) |

Value:
((x) & ((AA_HIS)|(AA_PHE)|(AA_TRP)|(AA_TYR)))
AA_HIS
#define AA_HIS
Definition residue.h:211
AA_TYR
#define AA_TYR
Definition residue.h:210
AA_TRP
#define AA_TRP
Definition residue.h:214
AA_PHE
#define AA_PHE
Definition residue.h:208

Referenced by OBResidue::GetAminoAcidProperty().

## IS_BASIC

#define IS_BASIC | ( |  | x | ) |

Value:
((x) & ((AA_ARG)|(AA_HIS)|(AA_LYS)))
AA_ARG
#define AA_ARG
Definition residue.h:207

Referenced by OBResidue::GetAminoAcidProperty().

## IS_BURIED

#define IS_BURIED | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_CYS)|(AA_ILE)|(AA_LEU)| \
(AA_MET)|(AA_PHE)|(AA_TRP)|(AA_VAL)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_CHARGED

#define IS_CHARGED | ( |  | x | ) |

Value:
((x) & ((AA_ASP)|(AA_GLU)|(AA_ARG)|(AA_HIS)| \
(AA_LYS)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_CYCLIC

#define IS_CYCLIC | ( |  | x | ) |

Value:
((x) & ((AA_HIS)|(AA_PHE)|(AA_PRO)|(AA_TRP)| \
(AA_TYR)))
AA_PRO
#define AA_PRO
Definition residue.h:206

Referenced by OBResidue::GetAminoAcidProperty().

## IS_HYDROPHOBIC

#define IS_HYDROPHOBIC | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_LEU)|(AA_VAL)|(AA_ILE)| \
(AA_PRO)|(AA_PHE)|(AA_MET)|(AA_TRP)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_LARGE

#define IS_LARGE | ( |  | x | ) |

Value:
((x) & ((AA_ARG)|(AA_PHE)|(AA_GLN)|(AA_TYR)| \
(AA_HIS)|(AA_LEU)|(AA_LYS)|(AA_ILE)| \
(AA_GLU)|(AA_MET)|(AA_TRP)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_MEDIUM

#define IS_MEDIUM | ( |  | x | ) |

Value:
((x) & ((AA_VAL)|(AA_THR)|(AA_ASP)|(AA_ASN)| \
(AA_PRO)|(AA_CYS)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_NEGATIVE

#define IS_NEGATIVE | ( |  | x | ) |

Value:
((x) & ((AA_ASP)|(AA_GLU)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_NEUTRAL

#define IS_NEUTRAL | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_GLY)|(AA_LEU)|(AA_SER)| \
(AA_VAL)|(AA_THR)|(AA_PHE)|(AA_GLN)| \
(AA_TYR)|(AA_HIS)|(AA_CYS)|(AA_MET)| \
(AA_TRP)|(AA_ILE)|(AA_ASN)|(AA_PRO)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_POLAR

#define IS_POLAR | ( |  | x | ) |

Value:
((x) & ((AA_ASP)|(AA_ILE)|(AA_ASN)|(AA_GLU)| \
(AA_SER)|(AA_THR)|(AA_ARG)|(AA_GLN)| \
(AA_CYS)|(AA_HIS)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_POSITIVE

#define IS_POSITIVE | ( |  | x | ) |

Value:
((x) & ((AA_ARG)|(AA_HIS)|(AA_LYS)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_SMALL

#define IS_SMALL | ( |  | x | ) |

Value:
((x) & ((AA_ALA)|(AA_GLY)|(AA_SER)))

Referenced by OBResidue::GetAminoAcidProperty().

## IS_SURFACE

#define IS_SURFACE | ( |  | x | ) |

Value:
((x) & ((AA_THR)|(AA_LYS)|(AA_ASP)|(AA_ILE)| \
(AA_ASN)|(AA_GLU)|(AA_PRO)|(AA_ARG)| \
(AA_GLY)|(AA_SER)|(AA_GLN)|(AA_TYR)| \
(AA_HIS)))

Referenced by OBResidue::GetAminoAcidProperty().